UFW 0.20

Jamie Strandboge jamie at canonical.com
Mon Sep 8 22:57:18 UTC 2008


On Mon, 08 Sep 2008, Miano, Steven M. wrote:

>                I'm in need of opening up a port range on one of my servers,
>    and would rather use UFW then IPTables at the moment. I'm using 8.04.1 and
>    can't seem to upgrade to 0.20 (which per the wiki can manage ranges), is
>    there a single repository I could change/edit to sudo apt-get dist-upgrade
>    ufw and then edit back to hardy repositories in order to upgrade to the
>    latest UFW? Thank in advance.

Hi!

ufw 0.19 introduced port ranges, but the version currently in Intrepid
is 0.21. 0.20 and later require iptables >= 1.4.0, which is not
available in 8.04 LTS. At some point, I hope to provide iptables 1.4 and
a newer version of ufw in hardy-backports or a PPA, but I haven't had
time to do that yet. I'd be happy to review updated ufw and iptables
packages and get them uploaded for -backports if someone provides them.

An alternative would be to install and use 0.19[1] on hardy (it works just
fine on 8.04 LTS). This is of course not officially supported, but
neither would using -backports.

[1] https://launchpad.net/ubuntu/+source/ufw/0.19

Jamie

-- 
Ubuntu Security Engineer     | http://www.ubuntu.com/
Canonical Ltd.               | http://www.canonical.com/
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
URL: <https://lists.ubuntu.com/archives/ubuntu-server/attachments/20080908/50122464/attachment.pgp>


More information about the ubuntu-server mailing list